
From: "Antonino A. Daplas" <adaplas@hotpop.com>

A long standing bug in fbcon where switching/opening a vt will also set the
palette even if the vt is in the background.  This results in color corruption
in the foreground vt.

From: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/console/fbcon.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/video/console/fbcon.c~fbcon-do-not-set-palette-if-console-is-not-visible drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbcon-do-not-set-palette-if-console-is-not-visible	2005-03-20 16:05:00.000000000 -0800
+++ 25-akpm/drivers/video/console/fbcon.c	2005-03-20 16:05:00.000000000 -0800
@@ -2331,6 +2331,9 @@ static int fbcon_set_palette(struct vc_d
 	if (fbcon_is_inactive(vc, info))
 		return -EINVAL;
 
+	if (!CON_IS_VISIBLE(vc))
+		return 0;
+
 	depth = fb_get_color_depth(&info->var);
 	if (depth > 3) {
 		for (i = j = 0; i < 16; i++) {
_
